<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Notification object represents any notification in system. Used with NotificationManager.
 */
class Notification
{
    /**
     * @var string notification subject
     */
    public $subject;

    /**
     * @var string notification text body
     */
    public $message;

    /**
     * @var array array of recipients
     */
    public $recipients;

    /**
     * Constructor
     *
     * @param string $subject            notification subject
     * @param string $message            notification message
     * @param array  $recipients         recipients
     */
    public function __construct($subject, $message, $recipients = array())
    {
        $this->subject = $subject;
        $this->message = $message;
        $this->recipients = $recipients;
    }

}
