<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Andrey
 * Date: 5/23/13
 * Time: 12:45 PM
 * To change this template use File | Settings | File Templates.
 *
 * This widget creates special link for page. When user clicks on it then page with parametrs remembered in database.
 */

class SavePageLink extends BaseWidget
{

    /**
     * Title of the remembered page
     *
     * @var string
     **/
    public $title;

    /**
     * Id of the remembered page
     *
     * @var string
     **/
    public $page_id;

    /**
     * Link text
     *
     * @var string
     **/
    public $text = 'Remember this page';

    /**
     * Additional parameters,
     * contains additional values which will be stored in database. Example how to retrive them is in file views/manage/shareRemembered.php
     *
     * @var string
     **/
    public $additional = array();

    /**
     * Whether redirect user back to the $url or to the HTTP_REFERER
     *
     * @var string
     **/
    public $back_to_referer = false;

    /**
     * Url of the remembered page
     *
     * @var string
     **/
    public $url;
    /**
     * Render widget
     *
     * @return void
     **/
    public function run()
    {
        if(!isset($this->url)){
            $this->url = Yii::app()->createAbsoluteUrl(Yii::app()->request->requestUri);
        }
        if(!isset($this->title)){
            $this->title = Yii::app()->request->requestUri;
        }

        $data = array(
            'url'=> $this->url,
            'title'=> $this->title,
            'page_id'=> $this->page_id,
            'additional' => serialize($this->additional),
            'back_to_referer' => $this->back_to_referer ? true : false,
        );
        $data['key'] = Yii::app()->getModule('remember')->sign(serialize($data));

        echo CHtml::link(RememberModule::t($this->text), Yii::app()->createUrl('/remember/manage/add', $data));
    }
}
