<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * SCBaseController controller class file.
 */
class SCBaseController extends BaseController{

    public $breadcrumbs = array();

    /**
     * Function checks matches the csrf tokens
     *
     * @return boolean returns true if the tokens are matched
     */

    public function csrfProtect(){
        if(Yii::app()->request->isPostRequest && Yii::app()->request->enableCsrfValidation){
            if(strcmp($_POST['YII_CSRF_TOKEN'], Yii::app()->request->getCsrfToken()) !== 0 ){
                throw new CHttpException(403);
                return false;
            }
        }
        return true;
    }
    /**
     * Function checks matches the checksums tokens
     *
     * @return boolean returns true if the checksums are matched
     */
    public function checkSumCmp($model){
        return EncryptHelper::getItemChecksum($model)==$_POST['checksum'];
    }
}