<?php
/**
* Gentics Portal.Node PHP
* Author & Copyright (c) by Gentics Software GmbH
* sales@gentics.com
* http://www.gentics.com
* Licenses can be found in the LICENSE.txt file in the root-folder of this installation
* You must not use this software without a valid license agreement.
*
*/
?>
<div class="user-password-change-widget">
    <a name="PasswordChangeWidget"></a>
    <h2><?php echo UserModule::t("Change Password"); ?></h2>
    <?php if ($message = Yii::app()->user->getFlash('passwordChangeMessage')) { ?>
    <div class="success">
        <?php echo $message?>
    </div>
    <?php }?>
    <div class="form">
        <?php $form = $this->beginWidget('CActiveForm', array(
            'id' => 'changepassword-form',
            'method' => 'post',
            'action' => Yii::app()->createUrl('/user/profile/changepassword', array('return_url' => Yii::app()->request->getParam('return_url', Yii::app()->request->getRequestUri().'#PasswordChangeWidget'))),
            'enableAjaxValidation' => true,
            'clientOptions' => array(
                'validateOnSubmit' => true
            )
        ) );?>
        <p class="note"><?php echo UserModule::t('Fields with <span class="required">*</span> are required.'); ?></p>
        <?php echo $form->errorSummary($model); ?>

        <div class="row">
            <?php echo $form->labelEx($model, 'password'); ?>
            <?php echo $form->passwordField($model, 'password'); ?>
            <?php echo $form->error($model, 'password'); ?>
            <p class="hint">
                <?php echo UserModule::t("Minimal password length 4 symbols."); ?>
            </p>
        </div>

        <div class="row">
            <?php echo $form->labelEx($model, 'verifyPassword'); ?>
            <?php echo $form->passwordField($model, 'verifyPassword'); ?>
            <?php echo $form->error($model, 'verifyPassword'); ?>
        </div>

        <div class="row submit">
            <?php echo CHtml::submitButton(UserModule::t("Save")); ?>
        </div>

        <?php $this->endWidget() ?>
    </div><!-- form -->
</div>