<?php

/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 * Represents single user answer to the question
 *
 **/
class UserAnswer extends CActiveRecord
{

    /**
     * Returns the static model of the specified AR class.
     *
     * @param string $className active record class name
     *
     * @return array|CActiveRecord
     */
    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    /**
     * Returns the name of the associated database table.
     * By default this method returns the class name as the table name.
     * You may override this method if the table is not named after this convention.
     *
     * @return string the table name
     */
    public function tableName()
    {
        return '{{user_answer}}';
    }

    /**
     * Returns the validation rules for attributes.
     *
     * @return array
     */
    public function rules()
    {
        return array(
            array('created', 'default', 'value' => AppHelper::mysqlDate()),
            array('answer_id, user_id','required'),
            array('answer_id', 'numerical', 'integerOnly' => true),
            array('user_id', 'length', 'max'=>255),
            array('additional', 'safe'),
            array('created', 'type', 'type'=>'datetime', 'datetimeFormat' => 'yyyy-MM-dd HH:mm:ss'),
            array('id, question_id, text, order, created','safe', 'on'=>'search'),
        );
    }


    public function getAttributeLabel($name)
    {
        return VoteModule::t(parent::getAttributeLabel($name));
    }

    protected function beforeSave()
    {
        if($this->additional !== null) {
            $this->additional = serialize($this->additional);
        }
        return parent::beforeSave();
    }

    protected function afterSave()
    {
        if($this->additional !== null) {
            $this->additional = unserialize($this->additional);
        }
    }
    
    protected function afterFind()
    {
        if($this->additional !== null) {
            $this->additional = unserialize($this->additional);
        }
    }
} 

