#!/bin/bash
# 
# Gentics Portal.Node PHP
# Author & Copyright (c) by Gentics Software GmbH
# sales@gentics.com
# http://www.gentics.com
# Licenses can be found in the LICENSE.txt file in the root-folder of this installation
# You must not use this software without a valid license agreement.
#
# This script creates the basic-setup for a new custom module

echo "Type in the name of your new custom module:"

read MYNAME

if ["$MYNAME" = ""] 
then

  echo "EMPTY is not a valid module name. Please re-run the script.\n"

else

  MYNAMELOWER="$(tr [A-Z] [a-z] <<< "$MYNAME")" 

  echo "Creating new module "$MYNAME

  echo "Creating new folder in /custom/modules: /custom/modules/$MYNAMELOWER"
  mkdir ../custom/modules/$MYNAMELOWER
  echo "Done"

  echo "Creating new widgets folder in /custom/modules/$MYNAMELOWER: /custom/modules/$MYNAMELOWER/widgets"
  mkdir ../custom/modules/$MYNAMELOWER/widgets
  echo "Done"
  
  echo "Creating new class file: /custom/modules/$MYNAMELOWER/${MYNAME}Module.php"
  echo "<?php 
class ${MYNAME}Module extends CWebModule
{
	public function init(){
		echo 'Hello World';
	}
}" > ../custom/modules/$MYNAMELOWER/${MYNAME}Module.php
  echo "Done"

  echo "Creating new widget file: /custom/modules/$MYNAMELOWER/widgets/${MYNAME}Widget.php"
  echo "<?php
class ${MYNAME}Widget extends CJuiWidget
{
    public function run(){
        $this->render('${MYNAME}Widget');
    }
}" > ../custom/modules/$MYNAMELOWER/widgets/${MYNAME}Widget.php
  echo "Done"

  echo "Adding module to client configuration"
  SETTINGS="\
'${MYNAMELOWER}' => array(\n\
        'class' => 'custom.modules.${MYNAMELOWER}.${MYNAME}Module'\n\
),\n"
  sed "s/'modules' => array(/'modules' => array(\n$SETTINGS/g" -i ../custom/config/client_main.php
  echo "Done"

  echo "DONE!!! You can use the new widget in your pages with: <?php \$this->widget('${MYNAMELOWER}.widgets.${MYNAME}'); ?>"


fi
